#ifndef NEWASM_H
#define NEWASM_H

typedef void* na_long;

void na_exch (long *s, long *d, long size);

long na_log2 (long n);
long na_po2 (long n);

long na_bfextu (long *v, long offset, long size);

long na_bfcount (long *v, long offset, long size);
long na_setcard (long *s);

long P_imax2 (long a, long b);
long P_imin2 (long a, long b);
void P_iswap2 (long *a, long *b);
long P_ibound (long min, long i, long max);
int P_ibetween (long min, long i, long max);
int P_ibetweenm (long min, long i, long max, long margin);

void* na_rtosr (double r);
double na_srtor (void* sr);

#endif /*NEWASM_H*/


