#ifndef LABEL_H
#define LABEL_H

#include "logdef.h"

typedef struct log_lrec {
  short x, y, w;
  char name[log_lablen + 1];
  unsigned f7 : 1, f6 : 1, f5 : 1, f4 : 1, f3 : 1, f2 : 1, f1 : 1, f0 : 1;
  struct log_lrec *next;
  na_long temp;
} log_lrec;   /* Label */

void parselabel(strlist_t **lbl, short *numattrs, log_kattrrec **attr);

void eralabel(log_lrec *l);

void xorlabel(short x, short y, log_lrec *l);

void linklabel(log_lrec *l);

void newlabel(log_lrec **l);

void unlinklabel(log_lrec *l);

void displabel(log_lrec **l);

void addlabelat(short x, short y, char *s);

void addlabel(log_lrec **l, char *s);

void editlabel(log_lrec *l);

#endif
